Bug 343652 - "Open with" with "Run in Terminal" does not open a Terminal
Summary: "Open with" with "Run in Terminal" does not open a Terminal
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Usability-OpenWith (show other bugs)
Version: 4.7.0
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-01 11:52 UTC by tuxflo
Modified: 2022-01-31 07:27 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tuxflo 2015-02-01 11:52:05 UTC
I want to create a script for applying Tags to a grouped images using exivtool. When I try to run the script via Rightklick on the selected images Open with->Other and enter the path to my script no Terminal pops up, even if I selected "Run in Terminal" and "Do not close when command exits"
The script is executed but users do not know that, if they didn't start digikam out of a terminal or didn't insert echo commands to their scripts.

Reproducible: Always

Steps to Reproduce:
1. Select Some images
2. Rightclick onto the selection and choose "Open with" 
3. In the "Open with" window selcet your script 
4. Check "Run in terminal" and "Do not close when command exits"

Actual Results:  
If I do not check "Run in terminal" the script is executed in the same terminal where digikam was opend (at least the output is visible there).
 If I opend digikam form a terminal, folowing errors apear:
digikam(2213) KRunMX1::expandEscapedMacro: -miniicon isn't supported anymore (service "exivTag.sh" ) 
digikam(2213) KRunMX1::expandEscapedMacro: -miniicon isn't supported anymore (service "exivTag.sh" ) 
digikam(2213) KRunMX1::expandEscapedMacro: -miniicon isn't supported anymore (service "exivTag.sh" ) 


Expected Results:  
A terminal pops up where the script is executed. If "Do not close when command exits" is selected, the terminal window stays opend after the script was executed.

For testing a script like:

#!/bin/sh
echo $@

should work.
Comment 1 Maik Qualmann 2015-02-06 20:49:25 UTC
With me working "Open with" as expected. This will open a terminal, which remains open. The message in the console is present with me. Does it work with them, for example with Dolphin?

Maik
Comment 2 caulier.gilles 2015-02-06 21:54:27 UTC
Tuxflo,

Did you install Konsole terminal from KDE ?

Gilles Caulier
Comment 3 tuxflo 2015-02-07 10:00:28 UTC
No, I'm not using digikam with KDE, but there are several different Terminalemulators installed like xterm and gnome terminal.

On February 6, 2015 10:54:27 PM CET, Gilles Caulier <caulier.gilles@gmail.com> wrote:
>https://bugs.kde.org/show_bug.cgi?id=343652
>
>Gilles Caulier <caulier.gilles@gmail.com> changed:
>
>           What    |Removed                     |Added
>----------------------------------------------------------------------------
>               CC|                            |caulier.gilles@gmail.com
>
>--- Comment #2 from Gilles Caulier <caulier.gilles@gmail.com> ---
>Tuxflo,
>
>Did you install Konsole terminal from KDE ?
>
>Gilles Caulier
Comment 4 caulier.gilles 2015-02-07 11:13:22 UTC
digiKam delegate terminal launching to KDE Control Panel, where you can find a section dedicated to setup terminal program to use. Launch KDE control Panel and go to "Default Applications/Terminal Emulator" section.

Gilles Caulier
Comment 5 tuxflo 2015-02-10 12:17:16 UTC
Ok if I change the terminal emulator in the KDE settings manager (I did not know that I had this installed, must be a dependency) it is possible to run the script in the given terminal. But if I set it to a different terminalemulator than Konsole, the Item "Do not close the terminal window..." is not visible.
Comment 6 caulier.gilles 2015-05-10 14:01:31 UTC
install konsole and use it as well

Gilles Caulier